
Ruby - Bug #1480

Ruby/Tk infinite loop

05/17/2009 09:09 PM - OlegPuchinin (Oleg Puchinin)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.2dev (2009-05-17 trunk 23476)

[i686-linux]

Backport:  

Description

=begin

linux-jb1a:/home/oleg/src/RUBY/SVN/ruby # /opt/ruby19svn/bin/irb

irb(main):001:0> require "tk"

RuntimeError: out of stack space (infinite loop?)

from /opt/ruby19svn/lib/ruby/1.9.1/tk.rb:29:in initialize' from /opt/ruby19svn/lib/ruby/1.9.1/tk.rb:29:in initialize'

from /opt/ruby19svn/lib/ruby/1.9.1/tk.rb:1168:in new' from /opt/ruby19svn/lib/ruby/1.9.1/tk.rb:1168:in block in module:TkCore'

irb(main):002:0>

=end

History

#1 - 05/18/2009 12:24 AM - nagai (Hidetoshi Nagai)

=begin

From: Oleg Puchinin redmine@ruby-lang.org

Subject: [ruby-core:23484] [Bug #1480] Ruby/Tk infinite loop

Date: Sun, 17 May 2009 21:09:29 +0900

Message-ID: 4a0ffe7542774_13b5d9865441e3@redmine.ruby-lang.org

Bug #1480: Ruby/Tk infinite loop

 I asked you to keep consistency of nativethread support between

Tcl and Tk library on the following mail.

Did you recompile Tcl/Tk?

Does each of "ldd" results of Tcl and Tk library have a libpthread link?

From: Hidetoshi NAGAI nagai@ai.kyutech.ac.jp

Subject: Re: Ruby/Tk

Date: Sun, 10 May 2009 02:44:42 +0900 (JST)

Message-ID: 20090510.024442.74747107.nagai@ai.kyutech.ac.jp

oleg@linux-jb1a:~> ldd /usr/local/lib/libtk8.5.so

linux-gate.so.1 =>  (0xffffe000)

libpthread.so.0 => /lib/libpthread.so.0 (0xb7f64000)

libX11.so.6 => /usr/lib/libX11.so.6 (0xb7e31000)

libXss.so.1 => /usr/lib/libXss.so.1 (0xb7e2d000)

libXext.so.6 => /usr/lib/libXext.so.6 (0xb7e1c000)

libXft.so.2 => /usr/lib/libXft.so.2 (0xb7e06000)

libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7d85000)

libz.so.1 => /lib/libz.so.1 (0xb7d70000)

libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7d3f000)

libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7d35000)

libdl.so.2 => /lib/libdl.so.2 (0xb7d30000)

libm.so.6 => /lib/libm.so.6 (0xb7d06000)

libc.so.6 => /lib/libc.so.6 (0xb7baa000)

/lib/ld-linux.so.2 (0xb80b3000)

libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb7ba7000)

libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7b89000)

libXau.so.6 => /usr/lib/libXau.so.6 (0xb7b85000)

libexpat.so.1 => /lib/libexpat.so.1 (0xb7b5c000)

oleg@linux-jb1a:~> ldd /usr/local/lib/libtcl8.5.so

linux-gate.so.1 =>  (0xffffe000)

libdl.so.2 => /lib/libdl.so.2 (0xb7df8000)

libm.so.6 => /lib/libm.so.6 (0xb7dcf000)

libc.so.6 => /lib/libc.so.6 (0xb7c73000)
/lib/ld-linux.so.2 (0xb7f1a000)

 

Hmmm....

Your libtcl8.5.so and libtk8.5.so don't match about

native thread support.

Probably, when make tcl, you didn't give --enable-threads option,

and when make tk, you gave the option.

Does your wish command work properly?

You have to remake Tcl/Tk libraries with same configuration.

Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)

=end

#2 - 05/18/2009 12:24 AM - nagai (Hidetoshi Nagai)

=begin

From: Oleg Puchinin redmine@ruby-lang.org

Subject: [ruby-core:23484] [Bug #1480] Ruby/Tk infinite loop

Date: Sun, 17 May 2009 21:09:29 +0900

Message-ID: 4a0ffe7542774_13b5d9865441e3@redmine.ruby-lang.org

Bug #1480: Ruby/Tk infinite loop

 I asked you to keep consistency of nativethread support between

Tcl and Tk library on the following mail.

Did you recompile Tcl/Tk?

Does each of "ldd" results of Tcl and Tk library have a libpthread link?

From: Hidetoshi NAGAI nagai@ai.kyutech.ac.jp

Subject: Re: Ruby/Tk

Date: Sun, 10 May 2009 02:44:42 +0900 (JST)

Message-ID: 20090510.024442.74747107.nagai@ai.kyutech.ac.jp

oleg@linux-jb1a:~> ldd /usr/local/lib/libtk8.5.so

linux-gate.so.1 =>  (0xffffe000)

libpthread.so.0 => /lib/libpthread.so.0 (0xb7f64000)

libX11.so.6 => /usr/lib/libX11.so.6 (0xb7e31000)

libXss.so.1 => /usr/lib/libXss.so.1 (0xb7e2d000)

libXext.so.6 => /usr/lib/libXext.so.6 (0xb7e1c000)

libXft.so.2 => /usr/lib/libXft.so.2 (0xb7e06000)

libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7d85000)

libz.so.1 => /lib/libz.so.1 (0xb7d70000)

libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7d3f000)

libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7d35000)

libdl.so.2 => /lib/libdl.so.2 (0xb7d30000)

libm.so.6 => /lib/libm.so.6 (0xb7d06000)

libc.so.6 => /lib/libc.so.6 (0xb7baa000)

/lib/ld-linux.so.2 (0xb80b3000)

libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb7ba7000)

libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7b89000)

libXau.so.6 => /usr/lib/libXau.so.6 (0xb7b85000)

libexpat.so.1 => /lib/libexpat.so.1 (0xb7b5c000)

oleg@linux-jb1a:~> ldd /usr/local/lib/libtcl8.5.so

linux-gate.so.1 =>  (0xffffe000)

libdl.so.2 => /lib/libdl.so.2 (0xb7df8000)

libm.so.6 => /lib/libm.so.6 (0xb7dcf000)

libc.so.6 => /lib/libc.so.6 (0xb7c73000)

/lib/ld-linux.so.2 (0xb7f1a000)

 

Hmmm....

Your libtcl8.5.so and libtk8.5.so don't match about

native thread support.

Probably, when make tcl, you didn't give --enable-threads option,
and when make tk, you gave the option.

Does your wish command work properly?

You have to remake Tcl/Tk libraries with same configuration.

Hidetoshi NAGAI (nagai@ai.kyutech.ac.jp)

 =end

#3 - 07/13/2009 11:46 PM - yugui (Yuki Sonoda)

- Status changed from Open to Rejected

=begin

=end
